/****************************************************************/
/*                                                              */
/*            Advanced Navigation Kinematica API v1.2           */
/*              Copyright 2018, Advanced Navigation             */
/*                                                              */
/****************************************************************/
/*
 * Copyright (C) 2018 Advanced Navigation
 *
 * Permission is hereby granted, free of charge, to any person obtaining
 * a copy of this software and associated documentation files (the "Software"),
 * to deal in the Software without restriction, including without limitation
 * the rights to use, copy, modify, merge, publish, distribute, sublicense,
 * and/or sell copies of the Software, and to permit persons to whom the
 * Software is furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included
 * in all copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS
 * OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE 
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
 * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER
 * DEALINGS IN THE SOFTWARE.
 */
 
package com.advancednavigation.kinematica.api.data;

import java.io.File;
import java.util.ArrayList;

public class DataSet
{
	// Data Set Options

	// Base Station Source options
	public static final int BASE_STATION_SOURCE_NONE      = 0;
	public static final int BASE_STATION_SOURCE_AUTOMATIC = 1;
	public static final int BASE_STATION_SOURCE_MANUAL    = 2;

	// Ephemeris Source Options
	public static final int EPHEMERIS_SOURCE_AUTOMATIC  = 1;
	public static final int EPHEMERIS_SOURCE_SUPPLEMENT = 2;

	// Send Email Options
	public static final int SEND_EMAIL_FALSE = 0;
	public static final int SEND_EMAIL_TRUE  = 1;

	// #####################################################

	// Data Set Fields
	public String dataSetName;

	public ArrayList<File> primaryFiles;
	public ArrayList<File> secondaryFiles;

	public int baseStationSource;
	public ArrayList<File> baseStationFiles;

	public int ephemerisSource;
	public ArrayList<File> ephemerisFiles;

	public boolean sendEmail;

	public DataSet()
	{
		dataSetName       = null;
		primaryFiles      = new ArrayList<File>();
		secondaryFiles    = new ArrayList<File>();
		baseStationSource = BASE_STATION_SOURCE_AUTOMATIC;
		baseStationFiles  = new ArrayList<File>();
		ephemerisSource   = EPHEMERIS_SOURCE_AUTOMATIC;
		ephemerisFiles    = new ArrayList<File>();
		sendEmail         = false;
	}

}
