/****************************************************************/
/*                                                              */
/*            Advanced Navigation Kinematica API v1.2           */
/*              Copyright 2018, Advanced Navigation             */
/*                                                              */
/****************************************************************/
/*
 * Copyright (C) 2018 Advanced Navigation
 *
 * Permission is hereby granted, free of charge, to any person obtaining
 * a copy of this software and associated documentation files (the "Software"),
 * to deal in the Software without restriction, including without limitation
 * the rights to use, copy, modify, merge, publish, distribute, sublicense,
 * and/or sell copies of the Software, and to permit persons to whom the
 * Software is furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included
 * in all copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS
 * OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE 
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
 * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER
 * DEALINGS IN THE SOFTWARE.
 */

package com.advancednavigation.kinematica.api.util;

import java.util.ArrayList;
import java.util.Map.Entry;
import java.io.File;
import java.util.AbstractMap.SimpleEntry;

import org.apache.http.entity.ContentType;
import org.apache.http.entity.mime.content.ContentBody;
import org.apache.http.entity.mime.content.FileBody;
import org.apache.http.entity.mime.content.StringBody;

public class PostMultipartData
{
	public ArrayList<Entry<String, ContentBody>> pairs;

	public PostMultipartData()
	{
		this.pairs = new ArrayList<Entry<String, ContentBody>>();
	}

	public void addString(String name, String data)
	{
		StringBody sb = new StringBody(data, ContentType.DEFAULT_TEXT);
		Entry<String, ContentBody> pair = new SimpleEntry<String, ContentBody>(name, sb);
		this.pairs.add(pair);
	}

	public void addFile(String name, File file)
	{
		FileBody fb = new FileBody(file);
		Entry<String, ContentBody> pair = new SimpleEntry<String, ContentBody>(name, fb);
		this.pairs.add(pair);
	}

}
